org.keycloak.protocol.saml

## Class SamlClient

- java.lang.Object
- - org.keycloak.models.ClientConfigResolver
  - - org.keycloak.protocol.saml.SamlClient

-     public class SamlClient
      extends ClientConfigResolver

  Configuration of a SAML-enabled client.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XmlKeyInfoKeyNameTransformer` | `DEFAULT_XML_KEY_INFO_KEY_NAME_TRANSFORMER`
    `protected static org.jboss.logging.Logger` | `logger`

    - ### Fields inherited from class org.keycloak.models.ClientConfigResolver

      `client`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SamlClient(ClientModel client)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addExtensionsElementWithKeyInfo()`
    `boolean` | `forceArtifactBinding()`
    `boolean` | `forceNameIDFormat()`
    `boolean` | `forcePostBinding()`
    `String` | `getArtifactBindingIdentifier()`
    `int` | `getAssertionLifespan()`
    `String` | `getCanonicalizationMethod()`
    `String` | `getClientEncryptingCertificate()`
    `String` | `getClientEncryptingPrivateKey()`
    `String` | `getClientSigningCertificate()`
    `String` | `getClientSigningPrivateKey()`
    `String` | `getNameIDFormat()`
    `SignatureAlgorithm` | `getSignatureAlgorithm()`
    `XmlKeyInfoKeyNameTransformer` | `getXmlSigKeyInfoKeyNameTransformer()` Always returns non-`null` result.
    `boolean` | `includeAuthnStatement()`
    `boolean` | `includeOneTimeUseCondition()`
    `boolean` | `requiresAssertionSignature()`
    `boolean` | `requiresClientSignature()`
    `boolean` | `requiresEncryption()`
    `boolean` | `requiresRealmSignature()`
    `static String` | `samlNameIDFormatToClientAttribute(String nameIdFormat)`
    `void` | `setAddExtensionsElementWithKeyInfo(boolean val)`
    `void` | `setArtifactBindingIdentifierFrom(String identifierFrom)`
    `void` | `setAssertionLifespan(int assertionLifespan)`
    `void` | `setCanonicalizationMethod(String value)`
    `void` | `setClientEncryptingCertificate(String val)`
    `void` | `setClientEncryptingPrivateKey(String val)`
    `void` | `setClientSigningCertificate(String val)`
    `void` | `setClientSigningPrivateKey(String val)`
    `void` | `setForceArtifactBinding(boolean val)`
    `void` | `setForceNameIDFormat(boolean val)`
    `void` | `setForcePostBinding(boolean val)`
    `void` | `setIncludeAuthnStatement(boolean val)`
    `void` | `setIncludeOneTimeUseCondition(boolean val)`
    `void` | `setNameIDFormat(String format)`
    `void` | `setRequiresAssertionSignature(boolean val)`
    `void` | `setRequiresClientSignature(boolean val)`
    `void` | `setRequiresEncryption(boolean val)`
    `void` | `setRequiresRealmSignature(boolean val)`
    `void` | `setSignatureAlgorithm(SignatureAlgorithm algorithm)`
    `void` | `setXmlSigKeyInfoKeyNameTransformer(XmlKeyInfoKeyNameTransformer xmlSigKeyInfoKeyNameTransformer)`

    - ### Methods inherited from class org.keycloak.models.ClientConfigResolver

      `isFrontchannelLogout, resolveAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

    - #### DEFAULT_XML_KEY_INFO_KEY_NAME_TRANSFORMER

          public static final XmlKeyInfoKeyNameTransformer DEFAULT_XML_KEY_INFO_KEY_NAME_TRANSFORMER

  - ### Constructor Detail

    - #### SamlClient

          public SamlClient(ClientModel client)

  - ### Method Detail

    - #### getCanonicalizationMethod

          public String getCanonicalizationMethod()

    - #### setCanonicalizationMethod

          public void setCanonicalizationMethod(String value)

    - #### getSignatureAlgorithm

          public SignatureAlgorithm getSignatureAlgorithm()

    - #### setSignatureAlgorithm

          public void setSignatureAlgorithm(SignatureAlgorithm algorithm)

    - #### getNameIDFormat

          public String getNameIDFormat()

    - #### samlNameIDFormatToClientAttribute

          public static String samlNameIDFormatToClientAttribute(String nameIdFormat)

    - #### setNameIDFormat

          public void setNameIDFormat(String format)

    - #### includeAuthnStatement

          public boolean includeAuthnStatement()

    - #### setIncludeAuthnStatement

          public void setIncludeAuthnStatement(boolean val)

    - #### forceNameIDFormat

          public boolean forceNameIDFormat()

    - #### setForceNameIDFormat

          public void setForceNameIDFormat(boolean val)

    - #### forceArtifactBinding

          public boolean forceArtifactBinding()

    - #### setForceArtifactBinding

          public void setForceArtifactBinding(boolean val)

    - #### requiresRealmSignature

          public boolean requiresRealmSignature()

    - #### setRequiresRealmSignature

          public void setRequiresRealmSignature(boolean val)

    - #### addExtensionsElementWithKeyInfo

          public boolean addExtensionsElementWithKeyInfo()

    - #### setAddExtensionsElementWithKeyInfo

          public void setAddExtensionsElementWithKeyInfo(boolean val)

    - #### forcePostBinding

          public boolean forcePostBinding()

    - #### setForcePostBinding

          public void setForcePostBinding(boolean val)

    - #### requiresAssertionSignature

          public boolean requiresAssertionSignature()

    - #### setRequiresAssertionSignature

          public void setRequiresAssertionSignature(boolean val)

    - #### requiresEncryption

          public boolean requiresEncryption()

    - #### setRequiresEncryption

          public void setRequiresEncryption(boolean val)

    - #### requiresClientSignature

          public boolean requiresClientSignature()

    - #### setRequiresClientSignature

          public void setRequiresClientSignature(boolean val)

    - #### getClientSigningCertificate

          public String getClientSigningCertificate()

    - #### setClientSigningCertificate

          public void setClientSigningCertificate(String val)

    - #### getClientSigningPrivateKey

          public String getClientSigningPrivateKey()

    - #### setClientSigningPrivateKey

          public void setClientSigningPrivateKey(String val)

    - #### getClientEncryptingCertificate

          public String getClientEncryptingCertificate()

    - #### setClientEncryptingCertificate

          public void setClientEncryptingCertificate(String val)

    - #### getClientEncryptingPrivateKey

          public String getClientEncryptingPrivateKey()

    - #### setClientEncryptingPrivateKey

          public void setClientEncryptingPrivateKey(String val)

    - #### getXmlSigKeyInfoKeyNameTransformer

          public XmlKeyInfoKeyNameTransformer getXmlSigKeyInfoKeyNameTransformer()

      Always returns non-`null` result.
      Returns:
        Configured ransformer of `DEFAULT_XML_KEY_INFO_KEY_NAME_TRANSFORMER` if not set.

    - #### setXmlSigKeyInfoKeyNameTransformer

          public void setXmlSigKeyInfoKeyNameTransformer(XmlKeyInfoKeyNameTransformer xmlSigKeyInfoKeyNameTransformer)

    - #### includeOneTimeUseCondition

          public boolean includeOneTimeUseCondition()

    - #### setIncludeOneTimeUseCondition

          public void setIncludeOneTimeUseCondition(boolean val)

    - #### setAssertionLifespan

          public void setAssertionLifespan(int assertionLifespan)

    - #### getAssertionLifespan

          public int getAssertionLifespan()

    - #### setArtifactBindingIdentifierFrom

          public void setArtifactBindingIdentifierFrom(String identifierFrom)

    - #### getArtifactBindingIdentifier

          public String getArtifactBindingIdentifier()

Copyright © 2021 JBoss by Red Hat. All rights reserved.